Target version:    
Description

In various places we have patterns like hash.keys.each { |k| hash[k] } (or with .keys.sort). It's better to replace this with hash.each { |k,

v| } to avoid lookups.

Associated revisions

Revision 0085153c - 03/26/2024 11:57 AM - Ewoud Kohl van Wijngaarden

Fixes #37287 - Iterate on hashes when both key and value are used

This replaces the `hash.keys.each { |k| hash[k] }` and `hash.keys.sort`

patterns with `hash.each { |k, v| }` where it makes sense. This avoids

doing hash lookups when you already know the value anyway.

History

#1 - 03/21/2024 05:03 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/10108 added

#2 - 03/26/2024 11:57 AM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/26/2024 12:00 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0085153c296214f2810cbde46b5ee7b3b24cef1c.
